import os
task_directory = "/opt/casa/versions/4.7.0R/lib/python2.7"
## CASAPATH is the primary environment variable
if os.environ.has_key('CASAPATH'):
    __casapath__ = os.environ['CASAPATH'].split(' ')[0]
    __casaarch__ = os.environ['CASAPATH'].split(' ')[1]
    if os.path.exists(__casapath__ + '/lib/python2.7/casapy.py'):
        task_directory = __casapath__ + '/lib/python2.7'
        python_library_directory = task_directory
    elif os.path.exists(__casapath__ + '/Resources/python/casapy.py'):
        task_directory = __casapath__ + '/Resources/python'
        python_library_directory = task_directory
    elif os.path.exists(__casapath__ + '/' + __casaarch__ + '/python/2.7/casapy.py'):
        task_directory = __casapath__ + '/' + __casaarch__ + '/python/2.7'
        python_library_directory = task_directory
## if CASAPATH does not yeild any result, check secondary variables...
if task_directory is None:
    if os.environ.has_key('__CASAPY_TASKDIR'):
        task_directory = os.environ['__CASAPY_TASKDIR']
    if os.environ.has_key('__CASAPY_PYTHONDIR'):
        python_library_directory = os.environ['__CASAPY_PYTHONDIR']
casa_version = "4.7.0"
if os.environ.get('CASAVERSION') is not None:
    casa_version = os.environ.get('CASAVERSION')
subversion_revision = "38335"
subversion_date = "2016-09-27 09:51:38 -0400 (Tue, 27 Sep 2016)"
subversion_url = "https://svn.cv.nrao.edu/svn/casa/branches/release-4_7"
build_time = "Wed 2016/09/28 11:45:08 UTC"
